package school_project.Parsers;

import school_project.Map;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;

public interface FileParser {

    /**
     * Parse the file and create a Map with its shape and pieces setup
     * Ignore the rest of the file! (ie: save data)
     *
     * @param file file to parse
     * @return Map Object parsed with file data
     * @see "TODO: Add Specification when done"
     */
    Map getLevel(File file) throws IOException;

    /**
     * Save Map to a file with all it's data
     * @param file the file where to save
     * @param levelData the map to save
     */
    void saveLevelData(File file, Map levelData) throws IOException;

    // TODO: 3/18/23 tonitch: Add getSavedData, for when piece could be added to map file
    
}
